Bug 22046 - Layout der Laufwerksanzeige unschön bei langen ISO-Images Namen und einem Diskettenlaufwerk
Layout der Laufwerksanzeige unschön bei langen ISO-Images Namen und einem Dis...
Status: REOPENED
Product: UCS
Classification: Unclassified
Component: UMC - Virtual machines (UVMM)
UCS 4.2
All Linux
: P5 normal (vote)
: ---
Assigned To: UMC maintainers
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-31 10:44 CEST by Felix Botner
Modified: 2017-07-27 17:31 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.051
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Browser compatibility, Design, Mobile devices/tablets, Usability
Max CVSS v3 score:
hahn: Patch_Available+


Attachments
uvmm (43.49 KB, image/png)
2011-03-31 10:45 CEST, Felix Botner
Details
Still broken (20.19 KB, image/png)
2013-03-25 09:02 CET, Philipp Hahn
Details
Change grid layout (4.63 KB, patch)
2013-03-25 14:40 CET, Philipp Hahn
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2011-03-31 10:44:47 CEST
siehe Screenshot
Comment 1 Felix Botner univentionstaff 2011-03-31 10:45:33 CEST
Created attachment 3159 [details]
uvmm
Comment 2 Stefan Gohmann univentionstaff 2013-03-24 20:24:36 CET
Wurde mit UCS 3 überarbeitet.
Comment 3 Philipp Hahn univentionstaff 2013-03-25 09:02:08 CET
Created attachment 5146 [details]
Still broken

Since Bug #19804 is even worse, since iSCSI volume names are even longer
Comment 4 Philipp Hahn univentionstaff 2013-03-25 09:15:26 CET
The columns seem to be of equal width:

Typ: only 3 types possible: hd, floppy, cdrom. Could be replaces by an icon
Image: Most important information, If too long, show end of string.
Size: Relatively small (up to ~8 characters)
Pool: Normaly short, less important then image name
Edit Remove ...: Could be merged into 1 column, since the column header need much more space than the icon itself.
Comment 5 Philipp Hahn univentionstaff 2013-03-25 14:40:20 CET
Created attachment 5148 [details]
Change grid layout

1. Resize columns making more room for image file name.
2. Adjust some translations to save space
3. Reorder columns by importance

TODO: need to add clipping to left-trim overlong file names.
Perhaps <https://developer.mozilla.org/de/docs/CSS/text-overflow>?
Comment 6 Stefan Gohmann univentionstaff 2017-06-16 20:37:59 CEST
This issue has been filed against UCS 3. UCS 3 is out of the normal maintenance and many UCS components have vastly changed in UCS 4.

If this issue is still valid, please change the version to a newer UCS version otherwise this issue will be automatically closed in the next weeks.
Comment 7 Philipp Hahn univentionstaff 2017-07-27 17:31:03 CEST
2017-07-27 16:50:43,322 - uvmmd.storage - INFO - create_storage_volume: libvirt error (50): Storage volume not found: no storage vol with matching path '/dev/disk/by-path/ip-10.200.17.93:3260-iscsi-iqn.2003-01.org.linux-iscsi.phahn-sid93.x8664:sn.8a3daa0d4efd-lun-0'
2017-07-27 16:50:43,436 - uvmmd.unix - ERROR - [258] Exception: Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/univention/uvmm/unix.py", line 144, in handle_command
    res = cmd(self, command)
  File "/usr/lib/pymodules/python2.7/univention/uvmm/commands.py", line 398, in DOMAIN_DEFINE
    uuid, warnings = node.domain_define(request.uri, request.domain)
  File "/usr/lib/pymodules/python2.7/univention/uvmm/node.py", line 1256, in domain_define
    create_storage_volume(conn, domain, disk)
  File "/usr/lib/pymodules/python2.7/univention/uvmm/storage.py", line 136, in create_storage_volume
    path = pool_tree.find('target').findtext('path')
AttributeError: 'NoneType' object has no attribute 'findtext'